Bug 200340 - gtk2 2.8.20 causes system lock-ups
gtk2 2.8.20 causes system lock-ups
Product: Fedora
Classification: Fedora
Component: gtk2 (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Matthias Clasen
Depends On:
  Show dependency treegraph
Reported: 2006-07-26 19:59 EDT by Pete Zaitcev
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-07-27 13:06:26 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Pete Zaitcev 2006-07-26 19:59:59 EDT
Description of problem:

System locks up, no ping, NMI watchdog produces no output.

Version-Release number of selected component (if applicable):


How reproducible:

100% reproducible with the pan binary. I use pan- which was
not update in this update cycle. However, it takes some patience before
it happens. Follow Steps for easiest way to reproduce.

Steps to Reproduce:
0. Install and configure pan- from Extras
1. Go into a group, find an article
2. Observe that tabs behave erratically, they appear and disappear.
   This indicates the affected gtk2 release.
3. Try to follow-up to an article
4. In built-in editor, type anything, select, and do other activities.
   Eventually, the system locks up hard.
   A slower computer is recommended to catch this.

Actual results:

System locks up.

Expected results:

System works.

Additional info:

I am surprised that a bug in gtk2 causes a hard lock-up. I suppose
that it's the shared fault of kernel and X11 that the box locks up
hard. That NMI Watchdog fails to work is a problem too. HOWEVER,
it's very clear that:
 1. Everything works fine with gtk2-2.8.19-2
 2. System breaks with gtk2 2.8.20-1
Therefore, an update to gtk2 can fix the problem.

I do not know if any other applications trigger this problem besides pan.
Not many use similarly looking tabs, so perhaps that's the key.
Comment 1 Pete Zaitcev 2006-07-27 13:06:26 EDT
I got it locking with gtk2-2.8.17-1.fc5.1. So, the gtk2 was only a contributing
factor, not the real reason.

Note You need to log in before you can comment on or make changes to this bug.